ServerEvents.recipes(event => {
    event.remove({output: 'ironfurnaces:copper_furnace'})
    event.remove({output: 'ironfurnaces:iron_furnace'})
    event.remove({output: 'ironfurnaces:silver_furnace'})
    event.remove({output: 'ironfurnaces:gold_furnace'})
    event.remove({output: 'ironfurnaces:diamond_furnace'})
    event.remove({output: 'ironfurnaces:crystal_furnace'})
    event.remove({output: 'ironfurnaces:emerald_furnace'})
    event.remove({output: 'ironfurnaces:obsidian_furnace'})
    event.remove({output: 'ironfurnaces:netherite_furnace'})
    event.remove({output: 'ironfurnaces:augment_factory'})
    event.remove({output: 'ironfurnaces:augment_generator'})
    event.remove({output: 'ironfurnaces:upgrade_iron'})
    event.remove({output: 'ironfurnaces:upgrade_gold'})
    event.remove({output: 'ironfurnaces:upgrade_diamond'})
    event.remove({output: 'ironfurnaces:upgrade_emerald'})
    event.remove({output: 'ironfurnaces:upgrade_obsidian'})
    event.remove({output: 'ironfurnaces:upgrade_crystal'})
    event.remove({output: 'ironfurnaces:upgrade_netherite'})
    event.remove({output: 'ironfurnaces:upgrade_copper'})
    event.remove({output: 'ironfurnaces:upgrade_silver'})
    event.remove({output: 'ironfurnaces:upgrade_obsidian2'})
    event.remove({output: 'ironfurnaces:upgrade_iron2'})
    event.remove({output: 'ironfurnaces:upgrade_gold2'})
    event.remove({output: 'ironfurnaces:upgrade_silver2'})
});

ServerEvents.recipes(event => {
    //Iron Furnace
    event.shaped('ironfurnaces:iron_furnace',
    ['121','232','121'], {
        1: 'create:andesite_alloy',
        2: '#forge:storage_blocks/brass',
        3: 'minecraft:furnace'
    }).id('ironfurnaces:iron_furnace')

    //Gold Furnace
    event.shaped('ironfurnaces:gold_furnace',
    ['121','232','121'], {
        1: '#forge:ingots/arcane_gold',
        2: '#forge:ingots/steel',
        3: 'ironfurnaces:iron_furnace'
    }).id('ironfurnaces:gold_furnace')

    //Diamond Furnace
    event.shaped('ironfurnaces:diamond_furnace',
    ['121','232','121'], {
        1: '#forge:gems/zanite',
        2: '#forge:gems/pulsating_crystal',
        3: 'ironfurnaces:gold_furnace'
    }).id('ironfurnaces:diamond_furnace')

    //Emerald Furnace
    event.shaped('ironfurnaces:emerald_furnace',
    ['121','232','121'], {
        1: '#forge:ingots/fiery',
        2: 'blue_skies:horizonite_ingot',
        3: 'ironfurnaces:diamond_furnace'
    }).id('ironfurnaces:emerald_furnace')

    //Obsidian Furnace
    event.shaped('ironfurnaces:obsidian_furnace',
    ['121','232','121'], {
        1: 'occultism:spirit_attuned_gem',
        2: '#forge:ingots/compressed_iron',
        3: 'ironfurnaces:emerald_furnace'
    }).id('ironfurnaces:obsidian_furnace')

    //Netherite Furnace
    event.shaped('ironfurnaces:netherite_furnace',
    ['121','232','121'], {
        1: '#forge:ingots/dragonsteel',
        2: 'naturesaura:sky_ingot',
        3: 'ironfurnaces:obsidian_furnace'
    }).id('ironfurnaces:netherite_furnace')

    //Factory Augment
    event.shaped('ironfurnaces:augment_factory',
    ['121','232','121'], {
        1: 'immersiveengineering:component_steel',
        2: 'minecraft:redstone',
        3: 'immersiveengineering:heavy_engineering'
    }).id('ironfurnaces:augment_factory')
  });